<ul *ngFor="let folder of folders; let index=index">
  <li>
    <a (click)="setFolder(folder,index)" 
      [ngClass]="{'active': folder==modalSelectedFolder}">
      <i class="fa fa-folder"></i> {{folder.title}}
     </a>
     <ul *ngIf="folder.folders">
     	<!-- if subfolder exists... recursive... -->
      <app-modal-folders [folders]=folder.folders [modalSelectedFolder]="modalSelectedFolder"></app-modal-folders>
     </ul>
  </li>
</ul>  